### Method

# St ThemeNode lookup_length

#### Declaration [src]

    gboolean
    st_theme_node_lookup_length (
      StThemeNode* node,
      const char* property_name,
      gboolean inherit,
      gdouble* length
    )

#### Description [src]

Generically looks up a property containing a single length value. When specific getters (like st_theme_node_get_border_width()) exist, they should be used instead. They are cached, so more efficient, and have handling for shortcut properties and other details of CSS.

See also st_theme_node_get_length(), which provides a simpler API.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the length property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`inherit`

  Type: `gboolean`

  If `TRUE`, if a value is not found for the property on the node, then it will be looked up on the parent node, and then on the parent’s parent, and so forth. Note that if the property has a value of ‘inherit’ it will be inherited even if `FALSE` is passed in for `inherit`; this only affects the default behavior for inheritance.

`length`

  Type: `gdouble*`

  Location to store the length that was determined. If the property is not found, the value in this location will not be changed. The returned length is resolved to pixels.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the property was found in the properties for this theme node (or in the properties of parent nodes when inheriting.).